## org.apache.mahout.classifier.df
Class BreimanExample

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.classifier.df.BreimanExample

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public class BreimanExample

extends org.apache.hadoop.conf.Configured
implements org.apache.hadoop.util.Tool

Test procedure as described in Breiman's paper.
Leo Breiman: Random Forests. Machine Learning 45(1): 5-32 (2001)

Constructor Summary
`BreimanExample()`

Method Summary
`static void` `main(String[] args)`
`int` `run(String[] args)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### BreimanExample

    public BreimanExample()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public int run(String[] args)
            throws IOException

  Specified by:
    `run` in interface `org.apache.hadoop.util.Tool`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.